Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159075 - Very long partition create times on X86_64
Summary: Very long partition create times on X86_64
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs
Version: 4
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-28 18:56 UTC by Sean Bruno
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-10 16:38:05 UTC


Attachments (Terms of Use)

Description Sean Bruno 2005-05-28 18:56:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The X86_64 boot.iso seems to take a very long time when creating the partitions on my Dual Opteron system.  The i386 boot.iso from rawhide on the same day takes a few seconds to create the 145GB root partition, but the x86_64 boot.iso seems to take upwards of 10 minutes to do the same work.

Version-Release number of selected component (if applicable):
FC4T3 Boot.iso, 28MAY05

How reproducible:
Always

Steps to Reproduce:
1.  Install FC4 from the x86_64 boot.iso
2.  Create a fairly large root partition(mine is 145GB)
3.  Watch the install take 10 minutes or so for the formatting to complete
  

Actual Results:  It took about 10 minutes for the formatting of root to complete

Expected Results:  It should take about the same amount of time as the i386 version.

Additional info:

Comment 1 Sean Bruno 2005-07-08 21:10:30 UTC
Just tried FC4 x86_64 and the issue still exists.  The time is way longer than
under i386 FC4.

Comment 2 Thomas Woerner 2005-11-10 16:38:05 UTC
This can only be fixed by major changes in the internals of e2fsprogs. 
I am sorry, but I have to defer this until the changes are done upstream.


Note You need to log in before you can comment on or make changes to this bug.